QGDictIterator(3qt)

NAME
QGDictIterator - An internal class for implementing QDictIterator and QIntDictIterator

SYNOPSIS

#include <qgdict.h>

Inherited by QDictIterator, QIntDictIterator and QPtrDictIterator.

  Public Members
QGDictIterator ( const QGDict & )
QGDictIterator ( const QGDictIterator & )
QGDictIterator& operator= ( const QGDictIterator & )
~QGDictIterator ()
GCI toFirst ()
GCI get () const
const char* getKey () const
GCI operator ()()
GCI operator++ ()
GCI operator+= ( uint )

DESCRIPTION
An internal class for implementing QDictIterator and QIntDictIterator.

QGDictIterator is a strictly internal class that does the heavy work for QDictIterator and QIntDictIterator.

MEMBER FUNCTION DOCUMENTATION

QGDictIterator::QGDictIterator ( const QGDict & d )
For internal use only.

QGDictIterator::QGDictIterator ( const QGDictIterator & it )
For internal use only.

QGDictIterator::~QGDictIterator ()
For internal use only.

GCI QGDictIterator::get () const
For internal use only.

const char * QGDictIterator::getKey () const
For internal use only.

GCI QGDictIterator::operator() ()
For internal use only.

GCI QGDictIterator::operator++ ()
For internal use only.

GCI QGDictIterator::operator+= ( uint jumps )
For internal use only.

QGDictIterator & QGDictIterator::operator= ( const QGDictIterator & it )
For internal use only.

GCI QGDictIterator::toFirst ()
For internal use only.

SEE ALSO
http://www.troll.no/qt/qgdictiterator.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.